Opened 8 years ago

Closed 8 years ago

#10237 closed Bug Report - General (Fixed)

maxepisodes on recording rules don't work anymore

Reported by: Markus Schulz <msc@…> Owned by: gigem
Priority: minor Milestone: 0.25
Component: MythTV - Recording Version: Master Head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

i have a recording rule for daily news. i want to keep only last two episodes:

mysql> select maxepisodes from record where recordid = 1503; +-------------+ | maxepisodes | +-------------+ | 2 |

but now i have: mysql> select count(*) from recorded where recordid = 1503; +----------+ | count(*) | +----------+ | 11 | and the same number of files on disk.

Change History (11)

comment:1 Changed 8 years ago by danielk

Markus, do you know approximately when this stopped working? I have some ideas, but it might help to narrow it down if you know a recent revision where it did work.

comment:2 Changed 8 years ago by gigem

Owner: changed from danielk to gigem
Status: newassigned

comment:3 Changed 8 years ago by gigem

Status: assignedinfoneeded

Markus, can you please run the following sql command?

select r.duplicate, rp.videoprop from recorded r, recordedprogram rp where r.recordid=1503 and r.chanid=rp.chanid and r.progstart=rp.starttime;

comment:4 Changed 8 years ago by Markus Schulz <msc@…>

mysql>  select r.duplicate, rp.videoprop from recorded r, recordedprogram rp where
    ->  r.recordid=1503 and r.chanid=rp.chanid and r.progstart=rp.starttime;
+-----------+----------------+
| duplicate | videoprop      |
+-----------+----------------+
|         0 | WIDESCREEN,720 |
|         0 | WIDESCREEN,720 |
|         0 | WIDESCREEN,720 |
|         1 | WIDESCREEN,720 |
|         1 | WIDESCREEN,720 |
|         0 | WIDESCREEN,720 |
|         0 | WIDESCREEN,720 |
|         0 | WIDESCREEN,720 |
|         0 | WIDESCREEN,720 |
|         0 | WIDESCREEN,720 |
|         0 | WIDESCREEN,720 |
+-----------+----------------+

comment:5 Changed 8 years ago by gigem

Thanks, Markus. duplicate being mostly 0 explains why the episodes aren't getting expired. The expiration of max episodes currently ignores recordings where duplicate = 0. That behavior might be changed soon, though.

The big question now is why do your programs have duplicate = 0. In the case I've reproduced, it's because the recordings were damaged in some way and that was shown by having the DAMAGED flag set in videoprop. Have you done anything, such as choosing the "allow re-record" menu option, that would cause duplicate = 0?

comment:6 Changed 8 years ago by Markus Schulz <msc@…>

Status: infoneededassigned

don't know which setting do you mean with re-record, but currently i have: RerecordWatched? = 1 and RerecordAutoExpired? = 0 in my settings table.

furthermore nearly all recordings since 24.12 have this duplicate=0 set. what exactly means these duplicate flag and who was responsible to set it?

mysql> select duplicate,recordid,r.starttime from recorded r join recordedprogram rp on r.chanid=rp.chanid and r.progstart=rp.starttime where recgroup <>'LiveTV' order by starttime;
+-----------+----------+---------------------+
| duplicate | recordid | starttime           |
+-----------+----------+---------------------+
|         1 |      147 | 2007-10-30 09:47:00 |
|         1 |     1284 | 2010-09-02 23:23:00 |
|         1 |     1293 | 2010-09-06 10:23:00 |
|         1 |     1341 | 2010-09-25 13:38:00 |
|         1 |     1342 | 2010-09-26 21:13:00 |
|         1 |     1038 | 2010-11-16 22:13:00 |
|         1 |     1408 | 2010-12-15 21:33:27 |
|         1 |     1436 | 2011-01-09 18:20:00 |
|         1 |     1459 | 2011-01-16 19:07:00 |
|         1 |     1474 | 2011-02-07 18:59:00 |
|         1 |     1506 | 2011-03-06 16:16:55 |
|         1 |     1509 | 2011-03-11 23:19:54 |
|         1 |     1510 | 2011-03-13 20:15:00 |
|         1 |     1038 | 2011-03-22 22:13:00 |
|         1 |     1517 | 2011-03-24 22:51:00 |
|         1 |     1524 | 2011-04-10 17:05:00 |
|         0 |     1525 | 2011-04-10 18:35:00 |
|         1 |     1526 | 2011-04-10 20:15:00 |
|         1 |     1528 | 2011-04-10 20:15:00 |
|         1 |     1527 | 2011-04-10 21:45:00 |
|         1 |     1544 | 2011-04-30 20:15:00 |
|         1 |     1547 | 2011-05-15 20:15:00 |
|         1 |     1548 | 2011-05-16 00:50:00 |
|         1 |     1558 | 2011-05-26 20:27:52 |
|         1 |     1604 | 2011-06-22 20:15:00 |
|         1 |     1613 | 2011-06-30 22:40:00 |
|         1 |     1614 | 2011-06-30 22:45:00 |
|         1 |      835 | 2011-07-10 16:28:00 |
|         1 |      668 | 2011-07-28 22:25:00 |
|         1 |     1619 | 2011-07-30 20:16:00 |
|         1 |     1620 | 2011-08-06 00:38:11 |
|         1 |     1623 | 2011-08-27 16:14:00 |
|         1 |     1626 | 2011-09-03 15:00:00 |
|         1 |     1585 | 2011-09-05 21:00:00 |
|         1 |     1585 | 2011-09-12 21:00:00 |
|         1 |     1650 | 2011-09-16 22:25:00 |
|         1 |     1650 | 2011-09-16 23:20:00 |
|         1 |     1650 | 2011-09-19 20:15:00 |
|         1 |     1585 | 2011-09-19 21:00:00 |
|         1 |     1650 | 2011-09-19 21:05:00 |
|         1 |     1650 | 2011-09-26 20:15:00 |
|         1 |     1650 | 2011-09-27 04:35:00 |
|         1 |     1038 | 2011-09-27 22:13:00 |
|         1 |     1692 | 2011-10-01 13:25:00 |
|         1 |     1706 | 2011-10-03 14:05:00 |
|         1 |     1585 | 2011-10-10 21:00:00 |
|         1 |     1650 | 2011-10-14 22:50:00 |
|         1 |     1585 | 2011-10-17 21:00:00 |
|         1 |     1650 | 2011-10-18 02:30:00 |
|         1 |     1650 | 2011-10-18 03:30:00 |
|         1 |     1038 | 2011-10-18 22:13:00 |
|         1 |     1585 | 2011-10-24 21:00:00 |
|         1 |     1650 | 2011-10-25 03:40:00 |
|         1 |     1650 | 2011-10-25 04:30:00 |
|         1 |     1585 | 2011-10-31 21:00:00 |
|         1 |     1650 | 2011-11-06 20:15:00 |
|         1 |     1585 | 2011-11-07 21:00:00 |
|         1 |     1038 | 2011-11-08 22:13:00 |
|         1 |     1585 | 2011-11-22 20:15:00 |
|         1 |     1585 | 2011-11-28 21:00:00 |
|         1 |     1760 | 2011-12-09 01:10:00 |
|         1 |      413 | 2011-12-12 20:15:00 |
|         1 |     1585 | 2011-12-12 21:00:00 |
|         1 |      413 | 2011-12-13 12:15:00 |
|         1 |     1038 | 2011-12-13 22:13:00 |
|         1 |     1783 | 2011-12-13 22:15:00 |
|         1 |      413 | 2011-12-15 19:50:00 |
|         1 |      413 | 2011-12-15 20:15:00 |
|         1 |      413 | 2011-12-15 20:15:00 |
|         1 |      413 | 2011-12-15 21:00:00 |
|         1 |      413 | 2011-12-16 20:15:00 |
|         1 |      413 | 2011-12-16 22:30:00 |
|         1 |      413 | 2011-12-16 23:30:00 |
|         1 |      413 | 2011-12-17 00:45:00 |
|         1 |      413 | 2011-12-17 02:00:00 |
|         1 |      413 | 2011-12-17 04:45:00 |
|         1 |      413 | 2011-12-17 22:15:00 |
|         1 |      413 | 2011-12-17 22:45:00 |
|         1 |      413 | 2011-12-17 23:30:00 |
|         1 |      413 | 2011-12-18 00:15:00 |
|         1 |      413 | 2011-12-18 11:15:00 |
|         1 |      413 | 2011-12-19 20:15:00 |
|         1 |      413 | 2011-12-19 20:15:00 |
|         1 |      413 | 2011-12-20 00:00:00 |
|         1 |      413 | 2011-12-21 00:00:00 |
|         1 |      413 | 2011-12-21 01:00:00 |
|         1 |     1760 | 2011-12-22 20:15:00 |
|         1 |     1760 | 2011-12-22 21:00:00 |
|         1 |      413 | 2011-12-22 23:35:00 |
|         1 |     1503 | 2011-12-24 20:00:00 |
|         0 |     1503 | 2011-12-25 20:00:00 |
|         0 |      413 | 2011-12-26 12:25:00 |
|         0 |      413 | 2011-12-27 04:25:00 |
|         0 |     1503 | 2011-12-27 20:00:00 |
|         0 |      413 | 2011-12-28 00:00:00 |
|         0 |      413 | 2011-12-28 00:50:00 |
|         0 |     1503 | 2011-12-28 20:00:00 |
|         0 |      413 | 2011-12-28 20:15:00 |
|         0 |      413 | 2011-12-28 22:30:00 |
|         0 |      413 | 2011-12-28 23:30:00 |
|         0 |      413 | 2011-12-29 00:30:00 |
|         0 |      413 | 2011-12-29 01:15:00 |
|         0 |     1789 | 2011-12-29 06:35:00 |
|         0 |     1503 | 2011-12-29 20:00:00 |
|         0 |     1760 | 2011-12-29 21:00:00 |
|         0 |      413 | 2011-12-29 22:45:00 |
|         0 |      413 | 2011-12-30 09:15:00 |
|         0 |      413 | 2011-12-30 10:35:00 |
|         0 |      413 | 2011-12-30 10:35:00 |
|         0 |      413 | 2011-12-30 12:20:00 |
|         0 |      413 | 2011-12-30 13:05:00 |
|         0 |      413 | 2011-12-30 14:30:00 |
|         0 |      413 | 2011-12-30 15:30:00 |
|         0 |      413 | 2011-12-30 16:00:00 |
|         0 |      413 | 2011-12-30 16:45:00 |
|         0 |      413 | 2011-12-30 17:45:00 |
|         0 |     1503 | 2011-12-30 20:00:00 |
|         0 |      413 | 2011-12-30 20:15:00 |
|         0 |      413 | 2011-12-30 22:45:00 |
|         0 |      413 | 2011-12-30 23:00:00 |
|         0 |      413 | 2011-12-30 23:10:00 |
|         0 |      413 | 2011-12-31 00:40:00 |
|         0 |      413 | 2011-12-31 00:45:00 |
|         0 |      413 | 2011-12-31 03:45:00 |
|         0 |      413 | 2011-12-31 04:30:00 |
|         0 |      413 | 2011-12-31 06:00:00 |
|         0 |      413 | 2011-12-31 07:15:00 |
|         0 |      413 | 2011-12-31 09:10:00 |
|         0 |      413 | 2011-12-31 15:00:00 |
|         0 |      413 | 2011-12-31 15:45:00 |
|         0 |      413 | 2011-12-31 16:45:00 |
|         0 |      413 | 2011-12-31 17:15:00 |
|         0 |     1503 | 2011-12-31 20:00:00 |
|         0 |      413 | 2011-12-31 20:15:00 |
|         0 |      413 | 2011-12-31 22:15:00 |
|         0 |      413 | 2011-12-31 22:15:00 |
|         0 |      413 | 2011-12-31 23:45:00 |
|         0 |      413 | 2012-01-01 00:05:00 |
|         0 |      413 | 2012-01-01 00:25:00 |
|         0 |      413 | 2012-01-01 00:35:00 |
|         0 |      413 | 2012-01-01 02:40:00 |
|         0 |      413 | 2012-01-01 02:50:00 |
|         0 |      413 | 2012-01-01 07:15:00 |
|         0 |      413 | 2012-01-01 14:15:00 |
|         0 |      413 | 2012-01-01 14:20:00 |
|         0 |     1503 | 2012-01-01 20:00:00 |
|         0 |      413 | 2012-01-01 22:05:00 |
|         0 |      413 | 2012-01-01 23:00:00 |
|         1 |      413 | 2012-01-02 19:00:00 |
|         0 |     1503 | 2012-01-02 20:00:00 |
|         0 |      413 | 2012-01-02 21:45:00 |
|         0 |     1503 | 2012-01-03 20:00:00 |
|         0 |      413 | 2012-01-04 14:15:00 |
|         0 |      413 | 2012-01-04 14:45:00 |
|         1 |     1503 | 2012-01-04 20:00:00 |
|         1 |      413 | 2012-01-04 20:15:01 |
|         1 |     1795 | 2012-01-04 20:26:48 |
+-----------+----------+---------------------+
157 rows in set (0.00 sec)

comment:7 Changed 8 years ago by Markus Schulz <msc@…>

sorry, i've forget the videprop column in output. interesting, if videoprop contains DAMAGED then duplicate was = 1. is this intended?

mysql> select duplicate,recordid,r.starttime,rp.videoprop from recorded r join recordedprogram rp on r.chanid=rp.chanid and r.progstart=rp.starttime where recgroup <>'LiveTV' order by starttime;
+-----------+----------+---------------------+------------------------+
| duplicate | recordid | starttime           | videoprop              |
+-----------+----------+---------------------+------------------------+
|         1 |      147 | 2007-10-30 09:47:00 | HDTV                   |
|         1 |     1284 | 2010-09-02 23:23:00 | WIDESCREEN             |
|         1 |     1293 | 2010-09-06 10:23:00 | HDTV                   |
|         1 |     1341 | 2010-09-25 13:38:00 | HDTV,1080              |
|         1 |     1342 | 2010-09-26 21:13:00 | HDTV,1080              |
|         1 |     1038 | 2010-11-16 22:13:00 | HDTV,720               |
|         1 |     1408 | 2010-12-15 21:33:27 |                        |
|         1 |     1436 | 2011-01-09 18:20:00 | 1080                   |
|         1 |     1459 | 2011-01-16 19:07:00 |                        |
|         1 |     1474 | 2011-02-07 18:59:00 | HDTV,1080              |
|         1 |     1506 | 2011-03-06 16:16:55 |                        |
|         1 |     1509 | 2011-03-11 23:19:54 | HDTV,1080              |
|         1 |     1510 | 2011-03-13 20:15:00 | HDTV,1080              |
|         1 |     1038 | 2011-03-22 22:13:00 | HDTV,720               |
|         1 |     1517 | 2011-03-24 22:51:00 | HDTV,1080              |
|         1 |     1524 | 2011-04-10 17:05:00 | WIDESCREEN             |
|         0 |     1525 | 2011-04-10 18:35:00 | WIDESCREEN             |
|         1 |     1526 | 2011-04-10 20:15:00 | WIDESCREEN             |
|         1 |     1528 | 2011-04-10 20:15:00 | HDTV,1080              |
|         1 |     1527 | 2011-04-10 21:45:00 | WIDESCREEN             |
|         1 |     1544 | 2011-04-30 20:15:00 | HDTV,1080              |
|         1 |     1547 | 2011-05-15 20:15:00 | HDTV,1080              |
|         1 |     1548 | 2011-05-16 00:50:00 | HDTV,1080              |
|         1 |     1558 | 2011-05-26 20:27:52 |                        |
|         1 |     1604 | 2011-06-22 20:15:00 | HDTV,720               |
|         1 |     1613 | 2011-06-30 22:40:00 | HDTV,1080              |
|         1 |     1614 | 2011-06-30 22:45:00 | HDTV,720               |
|         1 |      835 | 2011-07-10 16:28:00 | WIDESCREEN             |
|         1 |      668 | 2011-07-28 22:25:00 | HDTV,720               |
|         1 |     1619 | 2011-07-30 20:16:00 | HDTV,1080              |
|         1 |     1620 | 2011-08-06 00:38:11 | HDTV,1080              |
|         1 |     1623 | 2011-08-27 16:14:00 | WIDESCREEN             |
|         1 |     1626 | 2011-09-03 15:00:00 | HDTV,1080              |
|         1 |     1585 | 2011-09-05 21:00:00 | HDTV,720               |
|         1 |     1585 | 2011-09-12 21:00:00 | HDTV,720               |
|         1 |     1650 | 2011-09-16 22:25:00 | HDTV,1080              |
|         1 |     1650 | 2011-09-16 23:20:00 | HDTV,1080              |
|         1 |     1650 | 2011-09-19 20:15:00 | HDTV,1080              |
|         1 |     1585 | 2011-09-19 21:00:00 | HDTV,720               |
|         1 |     1650 | 2011-09-19 21:05:00 | HDTV,1080              |
|         1 |     1650 | 2011-09-26 20:15:00 | HDTV,1080              |
|         1 |     1650 | 2011-09-27 04:35:00 | HDTV,1080              |
|         1 |     1038 | 2011-09-27 22:13:00 | HDTV,720               |
|         1 |     1692 | 2011-10-01 13:25:00 | HDTV,1080              |
|         1 |     1706 | 2011-10-03 14:05:00 | HDTV,1080              |
|         1 |     1585 | 2011-10-10 21:00:00 | HDTV,720               |
|         1 |     1650 | 2011-10-14 22:50:00 | HDTV,1080              |
|         1 |     1585 | 2011-10-17 21:00:00 | HDTV,720               |
|         1 |     1650 | 2011-10-18 02:30:00 | HDTV,1080              |
|         1 |     1650 | 2011-10-18 03:30:00 | HDTV,1080              |
|         1 |     1038 | 2011-10-18 22:13:00 | HDTV,720               |
|         1 |     1585 | 2011-10-24 21:00:00 | HDTV,720               |
|         1 |     1650 | 2011-10-25 03:40:00 | HDTV,1080              |
|         1 |     1650 | 2011-10-25 04:30:00 | HDTV,1080              |
|         1 |     1585 | 2011-10-31 21:00:00 | HDTV,720               |
|         1 |     1650 | 2011-11-06 20:15:00 | WIDESCREEN,1080        |
|         1 |     1585 | 2011-11-07 21:00:00 | WIDESCREEN,720         |
|         1 |     1038 | 2011-11-08 22:13:00 | WIDESCREEN,720         |
|         1 |     1585 | 2011-11-22 20:15:00 | WIDESCREEN             |
|         1 |     1585 | 2011-11-28 21:00:00 | WIDESCREEN,720         |
|         1 |     1760 | 2011-12-09 01:10:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-12 20:15:00 | WIDESCREEN             |
|         1 |     1585 | 2011-12-12 21:00:00 | WIDESCREEN,720         |
|         1 |      413 | 2011-12-13 12:15:00 | WIDESCREEN             |
|         1 |     1038 | 2011-12-13 22:13:00 | WIDESCREEN,720         |
|         1 |     1783 | 2011-12-13 22:15:00 | WIDESCREEN,1080        |
|         1 |      413 | 2011-12-15 19:50:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-15 20:15:00 |                        |
|         1 |      413 | 2011-12-15 20:15:00 |                        |
|         1 |      413 | 2011-12-15 21:00:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-16 20:15:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-16 22:30:00 |                        |
|         1 |      413 | 2011-12-16 23:30:00 |                        |
|         1 |      413 | 2011-12-17 00:45:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-17 02:00:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-17 04:45:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-17 22:15:00 | 720                    |
|         1 |      413 | 2011-12-17 22:45:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-17 23:30:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-18 00:15:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-18 11:15:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-19 20:15:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-19 20:15:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-20 00:00:00 |                        |
|         1 |      413 | 2011-12-21 00:00:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-21 01:00:00 | WIDESCREEN             |
|         1 |     1760 | 2011-12-22 20:15:00 | WIDESCREEN             |
|         1 |     1760 | 2011-12-22 21:00:00 | WIDESCREEN             |
|         1 |      413 | 2011-12-22 23:35:00 | WIDESCREEN,720         |
|         1 |     1503 | 2011-12-24 20:00:00 | WIDESCREEN,720         |
|         0 |     1503 | 2011-12-25 20:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2011-12-26 12:25:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-27 04:25:00 | WIDESCREEN             |
|         0 |     1503 | 2011-12-27 20:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2011-12-28 00:00:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-28 00:50:00 | WIDESCREEN             |
|         0 |     1503 | 2011-12-28 20:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2011-12-28 20:15:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-28 22:30:00 |                        |
|         0 |      413 | 2011-12-28 23:30:00 |                        |
|         0 |      413 | 2011-12-29 00:30:00 |                        |
|         0 |      413 | 2011-12-29 01:15:00 |                        |
|         0 |     1789 | 2011-12-29 06:35:00 | WIDESCREEN,1080        |
|         0 |     1503 | 2011-12-29 20:00:00 | WIDESCREEN,720         |
|         0 |     1760 | 2011-12-29 21:00:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-29 22:45:00 |                        |
|         0 |      413 | 2011-12-30 09:15:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-30 10:35:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-30 10:35:00 |                        |
|         0 |      413 | 2011-12-30 12:20:00 |                        |
|         0 |      413 | 2011-12-30 13:05:00 |                        |
|         0 |      413 | 2011-12-30 14:30:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-30 15:30:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-30 16:00:00 |                        |
|         0 |      413 | 2011-12-30 16:45:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-30 17:45:00 | WIDESCREEN             |
|         0 |     1503 | 2011-12-30 20:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2011-12-30 20:15:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-30 22:45:00 |                        |
|         0 |      413 | 2011-12-30 23:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2011-12-30 23:10:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-31 00:40:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-31 00:45:00 | WIDESCREEN,720         |
|         0 |      413 | 2011-12-31 03:45:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-31 04:30:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-31 06:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2011-12-31 07:15:00 |                        |
|         0 |      413 | 2011-12-31 09:10:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-31 15:00:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-31 15:45:00 |                        |
|         0 |      413 | 2011-12-31 16:45:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-31 17:15:00 |                        |
|         0 |     1503 | 2011-12-31 20:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2011-12-31 20:15:00 | WIDESCREEN             |
|         0 |      413 | 2011-12-31 22:15:00 |                        |
|         0 |      413 | 2011-12-31 22:15:00 |                        |
|         0 |      413 | 2011-12-31 23:45:00 | WIDESCREEN,1080        |
|         0 |      413 | 2012-01-01 00:05:00 |                        |
|         0 |      413 | 2012-01-01 00:25:00 | WIDESCREEN,720         |
|         0 |      413 | 2012-01-01 00:35:00 | 720                    |
|         0 |      413 | 2012-01-01 02:40:00 |                        |
|         0 |      413 | 2012-01-01 02:50:00 | WIDESCREEN,720         |
|         0 |      413 | 2012-01-01 07:15:00 |                        |
|         0 |      413 | 2012-01-01 14:15:00 | WIDESCREEN             |
|         0 |      413 | 2012-01-01 14:20:00 | WIDESCREEN             |
|         0 |     1503 | 2012-01-01 20:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2012-01-01 22:05:00 | WIDESCREEN             |
|         0 |      413 | 2012-01-01 23:00:00 | WIDESCREEN             |
|         1 |      413 | 2012-01-02 19:00:00 | DAMAGED                |
|         0 |     1503 | 2012-01-02 20:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2012-01-02 21:45:00 | WIDESCREEN,720         |
|         0 |     1503 | 2012-01-03 20:00:00 | WIDESCREEN,720         |
|         0 |      413 | 2012-01-04 14:15:00 | WIDESCREEN             |
|         0 |      413 | 2012-01-04 14:45:00 | WIDESCREEN             |
|         1 |     1503 | 2012-01-04 20:00:00 | WIDESCREEN,720,DAMAGED |
|         1 |      413 | 2012-01-04 20:15:01 | DAMAGED                |
|         1 |     1795 | 2012-01-04 20:26:48 | WIDESCREEN,DAMAGED     |
+-----------+----------+---------------------+------------------------+
157 rows in set (0.00 sec)

comment:8 Changed 8 years ago by gigem

I'm talking about the "Allow this episode to re-record" action. In the Watch Recordings screen, it's accessible under MENU / Scheduling Options.

duplicate is a value mainly used be the scheduler to avoid re-recording things that have already been recorded (iow, duplicate detection). it should normally be 1 for almost everything in the recorded table. A value of 0 means someone or something in Myth caused it be changed.

What is really strange is that your "DAMAGED" recordings all have duplicate = 1. That shouldn't happen as detecting a DAMAGED recording is one of the things that sets duplicate = 0. What version of Myth are you running? I wonder if you were unlucky and got a version in the middle of Daniel's recording quality commits.

comment:9 Changed 8 years ago by stuartm

The test is inverted, in tv_rec.cpp ln 915 - FinishedRecording?(is_good) should be FinishedRecording?(!is_good)

Good recordings are being marked as !duplicate and vice-versa.

comment:10 Changed 8 years ago by Markus Schulz <msc@…>

ok, thx stuart for the solution.

comment:11 Changed 8 years ago by gigem

Milestone: unknown0.25
Resolution: Fixed
Status: assignedclosed

Fixed in {61f156f7}

Note: it's impossible to fixup all of the recordings that were mismarked because of this bug. The result is that some programs might get re-recorded in the future and those with maxepisodes set will remain over there specified limit until the mismarked recordings are manually deleted.

Note: See TracTickets for help on using tickets.